Flame Lord Kakai:
Basically, to meet the qualifications for an Raider, your level must be at least 20 and you must pass the Test of the Raider.
I cannot change your profession for you, however, because only those who have experienced Human society and understand the great world beyond the plateau are qualified to change profession. "Know the enemy as you know yourself, and you will be invincible in battle," the sages say.
To take the Test of the Raider, go to Prefect Karukia over there. He will tell you everything you need to know. And when you are ready to change profession, you must leave this place and go to the village of Gludin in the region of Gludio to meet High Prefect Osborn. If you have the qualifications, he will change your profession.
Return